package sentio

type Strategy interface {
	Name() string

	Model() string
	MarketId() string
	PositionSymbols() map[Side]string

	ShouldClosePositions(portfolio Portfolio, proba float64) []string
	ShouldOpenPosition(portfolio Portfolio, proba float64) (*string, float64)

	Handle(proba float64, portfolio Portfolio) []StrategyOrder
}

type StrategyOrder struct {
	Symbol string      `yaml:"symbol"`
	Action OrderAction `yaml:"action"`
	Ratio  float64     `yaml:"ratio"`
}
